[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TCustomBufDataset.RevertRecord

Reverts the current record to its original (un-edited) values

## Declaration

Source position: bufdataset.pas line 634

`public procedure TCustomBufDataset.RevertRecord;`

## Description

RevertRecord is a procedure used to revert changes in the current record to their original (un-edited) values. RevertRecord calls the CheckBrowseMode method to ensure that the dataset is Active, and to perform event notifications for a change in dataset state.

RevertRecord checks for an update buffer in the current record, and when found calls the CancelRecordUpdateBuffer method and removes the update buffer. The Resync method is called to refresh the records in the dataset.

## See also

TDataset.CheckBrowseMode |  | Check whether the dataset is in browse mode.
TDataset.Active |  | Is the dataset open or closed.
TCustomBufDataset.Resync